Just built 4.7 and it works like a charm. I've reported the following bug in Ubuntu to get them to pull in stace 4.7 for Raring. So if anyone else is experiencing this bug in Ubuntu, then please mark the below bug as affecting you.

https://bugs.launchpad.net/ubuntu/+source/strace/+bug/1103114


On Sun, Jan 20, 2013 at 11:09 PM, Dmitry V. Levin <ldv@altlinux.org> wrote:
On Sun, Jan 20, 2013 at 11:00:32PM +0100, Rune Kjær Svendsen wrote:
> Using strace 4.5.20-2.3ubuntu2 from Ubuntu 12.10.

I'm sorry, but strace 4.5.20 was released in April of 2010, please try
something more up to date, e.g. the latest release 4.7 or strace.git.


--
ldv

------------------------------------------------------------------------------
Master Visual Studio, SharePoint, SQL, ASP.NET, C# 2012, HTML5, CSS,
MVC, Windows 8 Apps, JavaScript and much more. Keep your skills current
with LearnDevNow - 3,200 step-by-step video tutorials by Microsoft
MVPs and experts. ON SALE this month only -- learn more at:
http://p.sf.net/sfu/learnmore_123012
_______________________________________________
Strace-devel mailing list
Strace-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/strace-devel




--
Med venlig hilsen,

Rune Kjær Svendsen
Østerbrogade 111, 3. - 302
2100 København Ø
Tlf.: 2835 0726